Bug 1403249 - return 0 from device_serialize()
Summary: return 0 from device_serialize()
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: systemd
Version: 7.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: systemd-maint
QA Contact: Branislav Blaškovič
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-09 14:05 UTC by Lukáš Nykrýn
Modified: 2017-08-01 09:12 UTC (History)
3 users (show)

Fixed In Version: systemd-219-31.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 09:12:22 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:2297 normal SHIPPED_LIVE systemd bug fix and enhancement update 2017-08-01 12:40:16 UTC

Description Lukáš Nykrýn 2016-12-09 14:05:53 UTC
CC       src/core/libsystemd_core_la-device.lo
    src/core/device.c: In function 'device_serialize':
    src/core/device.c:169:1: warning: control reaches end of non-void function [-Wreturn-type]
     }
     ^

Comment 1 Lukáš Nykrýn 2016-12-09 14:07:46 UTC
https://github.com/lnykryn/systemd-rhel/pull/70

Comment 2 Lukáš Nykrýn 2016-12-11 12:26:50 UTC
fix merged to upstream staging branch ->
https://github.com/lnykryn/systemd-rhel/commit/16ea84cf76e69975336fc347226ee3f58be25bc2
-> post

Comment 5 errata-xmlrpc 2017-08-01 09:12:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:2297


Note You need to log in before you can comment on or make changes to this bug.